/***************************************************************************
 *                                                                         *
 *                               RasTop 1.3.1                              *
 *                 Molecular Graphics Visualisation Tool                   *
 *                          by Philippe Valadon                            *
 *                              21 Mars 2001                               *
 *                                                                         *
 *                                *******                                  *
 *                                                                         *
 *                   Based on RasMol 2.6 by Roger Sayle                    *
 * Biomolecular Structures Group, Glaxo Wellcome Research & Development,   *
 *                      Stevenage, Hertfordshire, UK                       *
 *         Version 2.6, August 1995, Version 2.6.4, December 1998          *
 *                   Copyright (C) Roger Sayle 1992-1999                   *
 *                                                                         *
 *                  and Based on Mods by Arne Mueller                      *
 *                      Version 2.6x1, May 1998                            *
 *                   Copyright (C) Arne Mueller 1998                       *
 *                                                                         *
 *    and Based on Version 2.7.0, 2.7.1 Mods by Herbert J. Bernstein       *
 *           Bernstein + Sons, P.O. Box 177, Bellport, NY, USA             *
 *                      yaya@bernstein-plus-sons.com                       *
 *                    2.7.0 March 1999, 2.7.1 June 1999                    *
 *              Copyright (C) Herbert J. Bernstein 1998-1999               *
 *                                                                         *
 *                RasTop Version 1.3.x by Philippe Valadon                 *
 *                 P.O. Box 13014, La Jolla, CA 92039, USA,                *
 *                         valadon@ix.netcom.com                           *
 *                Copyright (C) Philippe Valadon 2000-2001                 *
 *                                                                         *
 *                                *******                                  *
 *                                                                         *
 * As written by Herbert Bernstein in Rasmol Version 2.7.1:                *
 *                                                                         *
 * Please read the file NOTICE for important notices which apply to this   *
 * package. If you are not going to make changes to Rasmol, you are not    *
 * only permitted to freely make copies and distribute them, you are       *
 * encouraged to do so, provided you do the following:                     *
 *   * 1. Either include the complete documentation, especially the file   *
 *     NOTICE, with what you distribute or provide a clear indication      *
 *     where people can get a copy of the documentation; and               *
 *   * 2. Please give credit where credit is due citing the version and    *
 *     original authors properly; and                                      *
 *   * 3. Please do not give anyone the impression that the original       *
 *     authors are providing a warranty of any kind.                       *
 *                                                                         *
 * If you would like to use major pieces of Rasmol in some other program,  *
 * make modifications to Rasmol, or in some other way make what a lawyer   *
 * would call a "derived work", you are not only permitted to do so, you   *
 * are encouraged to do so. In addition to the things we discussed above,  *
 * please do the following:                                                *
 *   * 4. Please explain in your documentation how what you did differs    *
 *     from this version of Rasmol; and                                    *
 *   * 5. Please make your modified source code available.                 *
 *                                                                         *
 * This version of Rasmol is not in the public domain, but it is given     *
 * freely to the community in the hopes of advancing science. If you make  *
 * changes, please make them in a responsible manner, and please offer us  *
 * the opportunity to include those changes in future versions of RasTop.  *
 ***************************************************************************/

//////////////////////////////////////////////////////////////////////
// pannel.h
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PANNEL_H__INCLUDED_)

#define AFX_PANNEL_H__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#define IDT_TIMER_0 WM_USER + 200
#define IDT_TIMER_1 IDT_TIMER_0 + 1

/////////////////////////////////////////////////////////////////////////////
// CPannelBar

class CPannelBar : public CDialogBar
{
	DECLARE_DYNAMIC(CPannelBar)
    public:
		CPannelBar();
		virtual ~CPannelBar();

    // Attributes
    public:
	    CFont m_FontPannel;
	    CFont m_FontBuddy;

		void ChangeStatusLight(int Status);
		void UpdatePannel();
		void UpdateScrollBars();
	    void KillTimerPannel();
	    void SetTimerPannel();
		void ResetSpinMode();
		void OnAddInfoline(CString& strText);
		virtual BOOL OnInitDialogBar();

    protected:
		BOOL m_InfoTimerStatus;
		CStatic infopointer;
		CBitmap infopointeroff;
		CBitmap infopointeron;
		CEdit m_Infoline;
		CScrollBar m_ScrollX;
		CScrollBar m_ScrollY;
		CScrollBar m_ScrollZ;
		BOOL Shadow_Flag;
		int FontStroke_Flag;
		CButton m_moderotate;
		CButton m_modetranslate;
		CButton m_reset;
		CButton m_modespin;
		BOOL m_spinStatus;
		CSliderCtrl m_Slab;
		CSliderCtrl m_Depth;
		CSliderCtrl m_Light;
		CEdit m_BuddySpec;
		CSpinButtonCtrl m_Specular;
		CEdit m_BuddyShade;
		CSpinButtonCtrl m_Shade;
		UINT m_PannelTimerID_0;
		UINT m_PannelTimerID_1;
		double SpinX, SpinY, SpinZ;
		CBitmapButton m_CloseCommandView;
		CStatic m_RasmolStatus;
		CBitmap StatusLight;

		void AppendString(CString str);
		void RefreshView();

	// Operations
	public:
	//{{AFX_VIRTUAL(CPannelBar)
	//}}AFX_VIRTUAL

	BOOL Create(CWnd * pParentWnd, UINT nIDTemplate, UINT nStyle, UINT nID);

	protected:
	//{{AFX_MSG(CPannelBar)
	afx_msg void OnHScroll( UINT nSBCode, UINT nPos, CScrollBar* pScrollBar );
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnRotateButton();
	afx_msg void OnTranszoomButton();
	afx_msg void OnSpinButton();
	afx_msg void OnResetButton();
	afx_msg void OnCloseButton();
	afx_msg void OnUpdateCloseButton(CCmdUI *pCmdUI);
	afx_msg void OnSpecularSpin( NMHDR * pNotifyStruct, LRESULT * result );
	afx_msg void OnUpdateSlabSlid(CCmdUI *pCmdUI);
	afx_msg void OnUpdateDepthSlid(CCmdUI *pCmdUI);
	afx_msg void OnUpdateLightSlid(CCmdUI *pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
#endif // !defined(AFX_PANNEL_H__INCLUDED_)

